"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.trackEvents = exports.importEvents = void 0;
const axiosWrapper_1 = require("../axiosWrapper");
const sharedHeaders_1 = require("../sharedHeaders");
async function importEvents({ projectId, events, auth, strict, }) {
    const response = await axiosWrapper_1.default.post("/import", events, {
        headers: sharedHeaders_1.default,
        params: {
            strict,
            project_id: projectId,
        },
        auth,
    });
    return response.data;
}
exports.importEvents = importEvents;
async function trackEvents(events, verbose) {
    const response = await axiosWrapper_1.default.post("/track", events, {
        headers: sharedHeaders_1.default,
        params: {
            verbose,
        },
    });
    return response.data;
}
exports.trackEvents = trackEvents;
//# sourceMappingURL=event.js.map