"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.profileDelete = exports.batchUpdate = exports.unset = exports.listRemove = exports.listAppend = exports.union = exports.numericalAdd = exports.setPropertyOnce = exports.setProperty = void 0;
const axiosWrapper_1 = require("../axiosWrapper");
const sharedHeaders_1 = require("../sharedHeaders");
async function post(subdirectory, profiles, verbose) {
    const response = await axiosWrapper_1.default.post(subdirectory, profiles, {
        headers: sharedHeaders_1.default,
        params: {
            verbose,
        },
    });
    return response.data;
}
async function setProperty(profiles, verbose) {
    return post("/engage#profile-set", profiles, verbose);
}
exports.setProperty = setProperty;
async function setPropertyOnce(profiles, verbose) {
    return post("/engage#profile-set-once", profiles, verbose);
}
exports.setPropertyOnce = setPropertyOnce;
async function numericalAdd(profiles, verbose) {
    return post("/engage#profile-numerical-add", profiles, verbose);
}
exports.numericalAdd = numericalAdd;
async function union(profiles, verbose) {
    return post("/engage#profile-union", profiles, verbose);
}
exports.union = union;
async function listAppend(profiles, verbose) {
    return post("/engage#profile-list-append", profiles, verbose);
}
exports.listAppend = listAppend;
async function listRemove(profiles, verbose) {
    return post("/engage#profile-list-remove", profiles, verbose);
}
exports.listRemove = listRemove;
async function unset(profiles, verbose) {
    return post("/engage#profile-unset", profiles, verbose);
}
exports.unset = unset;
async function batchUpdate(profiles, verbose) {
    return post("/engage#profile-batch-update", profiles, verbose);
}
exports.batchUpdate = batchUpdate;
async function profileDelete(profiles, verbose) {
    return post("/engage#profile-delete", profiles, verbose);
}
exports.profileDelete = profileDelete;
//# sourceMappingURL=profile.js.map